﻿@model EditUserViewModel

@{
    var count = 1;
}

<form asp-area="Admin" asp-controller="User" asp-action="Edit" asp-route-userId="@Model.Id" method="post">
    <div class="row">
        <input type="hidden" asp-for="@Model.Id" />
        <div class="col">
            <label asp-for="@Model.FirstName" class="form-label">First name</label>
            <input asp-for="@Model.FirstName" placeholder="FirstName" class="form-control" autocomplete="username" aria-required="true" />
            <span asp-validation-for="@Model.FirstName" class="text-danger"></span>
        </div>
        <div class="col">
            <label asp-for="@Model.LastName" class="form-label">Last name</label>
            <input asp-for="@Model.LastName" placeholder="LastName" class="form-control" autocomplete="username" aria-required="true" />
            <span asp-validation-for="@Model.LastName" class="text-danger"></span>
        </div>
        <div class="col">
            <label asp-for="@Model.Email" class="form-label">Email</label>
            <input asp-for="@Model.Email" placeholder="Email" class="form-control" autocomplete="username" aria-required="true" />
            <span asp-validation-for="@Model.Email" class="text-danger"></span>
        </div>

        <div class="col">
            <label asp-for="@Model.SelectedRole" class="form-label">Current Role</label>
            <input disabled asp-for="@Model.SelectedRole" class="form-control" autocomplete="username" aria-required="true" />
        </div>

        <div class="col">
            <label asp-for="@Model.IsDeleted" class="form-label">IsDeleted</label>
            <br />
            @if (User.Identity.Name != Model.Email)
            {
                <input class="form-check-input" type="checkbox" asp-for="@Model.IsDeleted" placeholder="IsDeleted" class="form-control" autocomplete="username" aria-required="true" />
            }
            else
            {
                <p>Administrator can't be deleted</p>
            }
            <span asp-validation-for="@Model.IsDeleted" class="text-danger"></span>
        </div>
    </div>

    @if (Model.SelectedRole != "Administrator")
    {
        <div class="row">
            <div class="col-sm-6">
                <label asp-for="SelectedRole" class="form-label">Change role</label>
                <select class="form-select" aria-label="Default select example" name="SelectedRole">
                    <option selected >No Role</option>
                    @foreach (var role in Model.Roles)
                    {
                        if (Model.SelectedRole == role.Name)
                        {
                            <option selected value="PremiumUser">@role.ToString()</option>
                        }
                        else
                        {
                            <option value="PremiumUser">@role.ToString()</option>
                        }
                    }
                    @*<option selected value="User">User</option>
                        <option value="PremiumUser">PremiumUser</option>*@
                </select>
            </div>
        </div>
    }

    <div class="col-sm-6">
        <button type="submit" class="btn btn-primary" name="submit">
            Submit
        </button>
    </div>
</form>
